> ## Documentation Index
> Fetch the complete documentation index at: https://docs.radinai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Kling Motion 3

> Video Generation (Motion Capture) using Kling Motion 3, 720p or 1080p



## OpenAPI

````yaml /api-1(31).json post /v2/generation/kling-motion-3
openapi: 3.0.3
info:
  title: Radin AI API docs
  description: '### Welcome to Radin AI API docs'
  version: '1.0'
  contact:
    name: Support
    url: https://radinai.com/support
servers:
  - url: https://api2.radinai.com
    description: API base URL
security:
  - ApiKeyAuth: []
externalDocs:
  url: https://radinai.com/api-dashboard
  description: API Dashboard
paths:
  /v2/generation/kling-motion-3:
    post:
      tags:
        - Kling Video
      summary: Kling Motion 3
      description: Video Generation (Motion Capture) using Kling Motion 3, 720p or 1080p
      operationId: kling-motion-3
      parameters:
        - name: webhookUrl
          in: query
          required: false
          schema:
            type: string
            description: >-
              Your Webhook URL, if specified, the result of the generation will
              be POSTed to this URL.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                prompt:
                  type: string
                  minLength: 0
                  maxLength: 1500
                  example: <your-prompt>
                image:
                  type: string
                  minLength: 1
                video:
                  type: string
                  minLength: 1
                orientation:
                  type: string
                  enum:
                    - video
                    - image
                quality:
                  type: string
                  enum:
                    - '720'
                    - '1080'
                element:
                  oneOf:
                    - type: object
                      properties:
                        type:
                          type: string
                          enum:
                            - image
                        tag:
                          type: string
                          enum:
                            - character
                            - animal
                            - prop
                            - costume
                            - scene
                            - effect
                            - others
                        images:
                          minItems: 2
                          type: array
                          items:
                            type: string
                            minLength: 1
                            example: >-
                              image download URL - or file name obtained from
                              /upload endpoint
                          description: >-
                            An array of image names or download URLs - if you
                            don't have a download URL, you can upload the file
                            and get the file name from the /upload endpoint.
                        voice:
                          type: string
                          minLength: 1
                          description: >-
                            An array of video names or download URLs - if you
                            don't have a download URL, you can upload the file
                            and get the file name from the /upload endpoint.A
                            video file of the character's voice for cloning the
                            voice (optional)
                        name:
                          type: string
                          minLength: 5
                          maxLength: 10
                      required:
                        - type
                        - tag
                        - images
                        - voice
                        - name
                      additionalProperties: false
                      title: Kling Image Element
                    - type: object
                      properties:
                        type:
                          type: string
                          enum:
                            - video
                        tag:
                          type: string
                          enum:
                            - character
                            - animal
                            - prop
                            - costume
                            - scene
                            - effect
                            - others
                        video:
                          type: string
                          minLength: 1
                        voice:
                          type: string
                          minLength: 1
                          description: >-
                            An array of video names or download URLs - if you
                            don't have a download URL, you can upload the file
                            and get the file name from the /upload endpoint.A
                            video file of the character's voice for cloning the
                            voice (optional)
                        name:
                          type: string
                          minLength: 5
                          maxLength: 10
                      required:
                        - type
                        - tag
                        - video
                        - name
                      additionalProperties: false
                      description: Video element, can only be of type character
                      title: Video element
              required:
                - prompt
                - image
                - video
                - orientation
                - quality
              additionalProperties: false
        required: true
      responses:
        '200':
          description: Response for status 200
          content:
            application/json:
              schema:
                type: object
                required:
                  - genId
                properties:
                  genId:
                    type: string
        '400':
          description: Response for status 400
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
        '401':
          description: Response for status 401
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
        '403':
          description: Response for status 403
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
        '500':
          description: Response for status 500
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key, obtained from https://radinai.com/manage-api-keys

````